Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4174)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4174)
@@ -157,12 +157,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4174)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4174)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4174)
@@ -157,12 +157,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4173)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4174)
@@ -159,12 +159,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3329)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5229)
-SBG= (stomate, tag-ORCHIDEE_2_0-5229)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
+SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
+SBG= (stomate, tag-ORCHIDEE_2_0-5627)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, dev-cmip6-r1475)
+IOS= (xios, xios-2.5-r1550)
 
 #========================================================================