Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 4176)
@@ -33,5 +33,6 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_AER.nc, chem_start.nc)
+
 	
 [BoundaryFiles]
@@ -60,11 +61,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat),\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)  
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 4176)
@@ -30,5 +30,6 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_DUSS.nc, chem_start.nc)
+
 	
 [BoundaryFiles]
@@ -57,12 +58,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
-
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat),\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 [OutputText]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 4176)
@@ -28,5 +28,6 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_GES.nc, chem_start.nc)
+
 	
 [BoundaryFiles]
@@ -50,7 +51,8 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES_daily.xml, file_def_inca_daily.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES_monthly.xml, file_def_inca_monthly.xml ), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 	
@@ -58,5 +60,6 @@
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (NONE) 
+List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
+
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card	(revision 4176)
@@ -31,5 +31,5 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_NMHC.nc, chem_start.nc)
 	
 [BoundaryFiles]
@@ -57,10 +57,11 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_daily.xml, file_def_inca_daily.xml), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (NONE) 
+List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4176)
@@ -32,5 +32,6 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_NMHCAER.nc, chem_start.nc)
+
 	
 [BoundaryFiles]
@@ -60,4 +61,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
@@ -66,5 +68,6 @@
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat),\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4175)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4176)
@@ -33,5 +33,6 @@
 
 [InitialStateFiles]
-List= ()
+List= (${R_IN}/CHM/INCA${RESOL_CHM}/RESTART/chem_restart_NAS.nc, chem_start.nc)
+
 	
 [BoundaryFiles]
@@ -65,11 +66,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml		, .			),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml        , .			),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml	),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml	),\
-    	(${MODIPSL}/bin/inca.dat					, .			)
+    	(${MODIPSL}/bin/inca.dat					, inca.dat		)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat),\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 