Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver	(revision 4206)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/lmdz.driver	(revision 4207)
@@ -489,5 +489,5 @@
     else
 	# Take default value set in physiq.def
-	IGCM_comp_modifyDefFile nonblocker config.def tau_gl DEFAULT
+	IGCM_comp_modifyDefFile nonblocker physiq.def tau_gl DEFAULT
     fi
    
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_actuel
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_actuel	(revision 4206)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_actuel	(revision 4207)
@@ -1,10 +1,8 @@
 ##  Cycle diurne  ou non                 
 iflag_cycle_diurne=1
-
-## Pas de temps de couplage (s). 
-t_coupl=_AUTO_
-
 ##  Soil Model  ou non               
 soil_model=y
+## Pas de temps de couplage (s).
+t_coupl=_AUTO_
 
 ## Nombre  d'appels des routines de rayonnements ( par jour)                 
@@ -23,6 +21,8 @@
 ### R_incl =     Inclinaison (lue dans Obliquity.txt)
 R_incl = _AUTO_: DEFAULT = 23.441
-### solaire =    Constante solaire (lue dans SOLARANDVOLCANOES.txt)
-solaire = _AUTO_: DEFAULT = 1361.20
+### solaire =    Constante solaire
+#solaire = _AUTO_ : DEFAULT = 1366.0896
+solaire = _AUTO_ : DEFAULT = 1361.20 
+# solaire est modifie avec les valeurs du fichier SOLARANDVOLCANOES.txt
 ### constante solaire lue dans un fichier par defaut
 ok_suntime_rrtm=y
@@ -30,16 +30,16 @@
 # Taux gaz a effet de serre
 #
-### co2_ppm =    taux CO2 en ppm, l'annÃ©e 1850 forcage CMIP6
-co2_ppm = _AUTO_: DEFAULT  = 2.8432e+02
+### co2_ppm =    taux CO2 en ppm, l'annÃ©e 2000 forcage CMIP6
+co2_ppm = _AUTO_: DEFAULT = 3.6912e+02
 ### co2_ppm_per =    taux 4xCO2 en ppm (uniqument pour calcul des diags)
-co2_ppm_per = _AUTO_: DEFAULT  =11.3728e+02
-### CH4_ppb =    taux CH4 en ppb, l'annÃ©e 1850 forcage CMIP6
-CH4_ppb = _AUTO_: DEFAULT = 8.0825e+02
-### N2O_ppb =    taux N2O en ppb, l'annÃ©e 1850 forcage CMIP6
-N2O_ppb = _AUTO_: DEFAULT = 2.7302e+02
-### CFC11_ppt = taux en ppt, l'annÃ©e 1850 forcage CFC11eq_CMIP6
-CFC11_ppt = _AUTO_: DEFAULT = 1.1726e+01
-### CFC12_ppt = taux en ppt, l'annÃ©e 1850 forcage CFC12eq_CMIP6
-CFC12_ppt = _AUTO_: DEFAULT = 1.6513e+01
+co2_ppm_per = _AUTO_: DEFAULT = 14.7648e+02
+### CH4_ppb =    taux CH4 en ppb, l'annÃ©e 2000 forcage CMIP6
+CH4_ppb = _AUTO_ : DEFAULT = 1.7780e+03
+### N2O_ppb =    taux N2O en ppb, l'annÃ©e 2000 forcage CMIP6
+N2O_ppb = _AUTO_ : DEFAULT = 3.1576e+02
+### CFC11_ppt = taux en ppt, l'annÃ©e 2000 forcage CFC11eq_CMIP6
+CFC11_ppt = _AUTO_ : DEFAULT = 6.3990e+01
+### CFC12_ppt =  taux en ppt, l'annÃ©e 2000 forcage CFC12eq_CMIP6
+CFC12_ppt = _AUTO_ : DEFAULT = 1.0511e+03
 #
 # Parametres effets directs/indirects des "aerosols"
@@ -50,5 +50,5 @@
 ok_aie=_AUTO_
 ### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
-aer_type=preind
+aer_type=actuel
 ### aerosol coupling = online (y) or offline (n)
 aerosol_couple=_AUTO_
@@ -57,5 +57,5 @@
 ###  flag_aerosol = type of coupled aerosol, if aerosol offline 
 ###  0 => no aerosol, 1 => sulfate only, 2 => bc only, 3 => pom only, 4 => seasalt only, 5 => dust only, 6 => all aerosol
-flag_aerosol=_AUTO_
+flag_aerosol=_AUTO_ 
 ### ok_cdnc=y/n   Cloud droplet number concentration
 ok_cdnc=_AUTO_
@@ -70,10 +70,10 @@
 # 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
 read_climoz=_AUTO_
-#
+# 
 # Aerosols stratospheriques utilises par defaut 
-#
 flag_aerosol_strat=2
 #
 # COSP
-#
 ok_cosp=_AUTO_
+
+
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_annuel
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_annuel	(revision 4206)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_annuel	(revision 4207)
@@ -1,4 +1,4 @@
 ##  Cycle diurne  ou non                 
-cycle_diurne=y
+iflag_cycle_diurne=1
 ##  Soil Model  ou non               
 soil_model=y
@@ -15,10 +15,10 @@
 # Parametres "orbitaux/ ere geologique"
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
+### R_ecc =      Excentricite (lue dans Eccentricity.txt)
+R_ecc = _AUTO_: DEFAULT = 0.016715
+### R_peri =     Equinoxe (lue dans Perihelie.txt)
+R_peri = _AUTO_: DEFAULT = 102.7
+### R_incl =     Inclinaison (lue dans Obliquity.txt)
+R_incl = _AUTO_: DEFAULT = 23.441
 ### solaire =    Constante solaire
 # solaire est modifie avec les valeurs du fichier SOLARANDVOLCANOES.txt
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_preind
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_preind	(revision 4206)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/config.def_preind	(revision 4207)
@@ -1,4 +1,4 @@
 ##  Cycle diurne  ou non                 
-cycle_diurne=y
+iflag_cycle_diurne=1
 
 ## Pas de temps de couplage (s). 
@@ -17,11 +17,11 @@
 # Parametres "orbitaux/ ere geologique"
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
+### R_ecc =      Excentricite (lue dans Eccentricity.txt)
+R_ecc = _AUTO_: DEFAULT = 0.016715
+### R_peri =     Equinoxe (lue dans Perihelie.txt)
+R_peri = _AUTO_: DEFAULT = 102.7
+### R_incl =     Inclinaison (lue dans Obliquity.txt)
+R_incl = _AUTO_: DEFAULT = 23.441
+### solaire =    Constante solaire (lue dans SOLARANDVOLCANOES.txt)
 solaire = _AUTO_: DEFAULT = 1361.20
 ### constante solaire lue dans un fichier par defaut
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/physiq.def_NPv6.1
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/physiq.def_NPv6.1	(revision 4206)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/physiq.def_NPv6.1	(revision 4207)
@@ -387,5 +387,5 @@
           # To get back to bug where convective output variables
           # were set to 0 at the start of the physics
-ok_bug_cv_trac=n
+ok_bug_cv_trac=_AUTO_: DEFAULT = n
 
 ##########################################################