Index: CONFIG/UNIFORM/v6/NEMO_v6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 3873)
+++ CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 4225)
@@ -10,15 +10,19 @@
 
 
-ORCA2LIM3PISCES : xios orca2lim3pisces
+ORCA2LIM3PISCES      : xios orca2lim3pisces
 
-ORCA1LIM3PISCES : xios orca1lim3pisces
+ORCA2OFFPISCES       : xios orca2offpisces
 
-ORCA025LIM3 : xios orca025lim3
+ORCA1OFFPISCES       : xios orca1offpisces
 
-ORCA025LIM3PISCES : xios orca025lim3pisces
+ORCA1LIM3            : xios orca1lim3
 
-ORCA2OFFPISCES : xios orca2offpisces
+ORCA1LIM3PISCES      : xios orca1lim3pisces
 
-ORCA1OFFPISCES : xios orca1offpisces
+ORCA025LIM3          : xios orca025lim3
+
+ORCA025LIM3PISCES    : xios orca025lim3pisces
+
+ORCA025LIM3PISCESCRS : xios orca025lim3piscescrs
 
 xios: ../../modeles/XIOS
@@ -29,18 +33,24 @@
 	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -r ORCA1_LIM3_PISCES -j16  ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca2lim3pisces.exe ; )
 
+orca2offpisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpisces.exe ; )
+
+orca1lim3:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3 -r ORCA1_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age key_cfc" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3.exe ; )
+
 orca1lim3pisces:  ../../modeles/NEMOGCM/CONFIG
 	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -j16  ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3pisces.exe ; )
-
-orca025lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n eORCA025_LIM3 -j16  ; cp eORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/orca025lim3.exe ; )
-
-orca025lim3pisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n eORCA025_LIM3_PISCES -j16  ; cp eORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca025lim3pisces.exe ; )
 
 orca1offpisces:  ../../modeles/NEMOGCM/CONFIG
 	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_OFF_PISCES -j16  ; cp ORCA1_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca1offpisces.exe ; )
 
-orca2offpisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpisces.exe ; )
+orca025lim3:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3 -r ORCA025_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age"  ; cp ORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/orca025lim3.exe ; )
+
+orca025lim3pisces:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES -j16  ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca025lim3pisces.exe ; )
+
+orca025lim3piscescrs:  ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES_CRS -r ORCA025_LIM3_PISCES -j16 add_key "key_crs"  ; cp ORCA025_LIM3_PISCES_CRS/BLD/bin/nemo.exe ../../../bin/orca025lim3piscescrs.exe ; )
 
 verif: ../../bin