Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card	(revision 4236)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card	(revision 4237)
@@ -38,5 +38,5 @@
 #D- If you want to restart all components from the same simulation,
 #D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=y
+OverRule=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -51,11 +51,11 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -64,11 +64,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -77,11 +77,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -89,11 +89,11 @@
 [MBG]
 WriteFrequency="1M 1Y"
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -102,11 +102,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -115,11 +115,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
@@ -128,11 +128,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart=y
+#D- Last day of the experience used as restart for all components
+RestartDate=2001-12-31
+#D- Define restart simulation name for all components
+RestartJobName=ESM.S.pdCtrl.O3
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card	(revision 4236)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card	(revision 4237)
@@ -38,5 +38,5 @@
 #D- If you want to restart all components from the same simulation,
 #D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=y
+OverRule=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -51,11 +51,11 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -64,11 +64,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -77,11 +77,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -89,11 +89,11 @@
 [MBG]
 WriteFrequency="1M 1Y"
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -102,11 +102,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -115,11 +115,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================
@@ -128,11 +128,11 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1859-12-31
-#D- Define restart simulation name for all components
-RestartJobName=O1T09V06
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsm/p86mart/IGCM_OUT/IPSLCM6/DEVT/piControl
+Restart= y
+#D- Last day of the experience used as restart for all components
+RestartDate=2599-12-31
+#D- Define restart simulation name for all components
+RestartJobName=VLRCHT6.01
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
 
 #========================================================================