Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamicolmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamicolmdz.card	(revision 4277)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamicolmdz.card	(revision 4277)
@@ -0,0 +1,94 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+RESOL_NBP=40
+RESOL_LLM=79
+Aquaplanet = n
+
+# LMDZ_Physics=NPv6.1b is very close to NPv6.1 used for CMIP6 but for use in bucket mode (without ORCHIDEE) and therefor ifl_pbltree=0
+LMDZ_Physics=NPv6.1b
+
+# Specify output files to activate for LMDZ
+output_histmth_lmdz=TRUE
+output_histday_lmdz=TRUE
+output_histhf_lmdz=FALSE
+output_histmthNMC_lmdz=FALSE
+output_histdayNMC_lmdz=FALSE
+output_histhfNMC_lmdz=FALSE
+output_histstn_lmdz=FALSE
+output_histstrataer_lmdz=FALSE
+
+
+[InitialStateFiles]
+List=   (${R_IN}/ATM/START/dynamico_lmdz_nbp${RESOL_NBP}/start_nbp${RESOL_NBP}_v0.nc, start.nc)\
+        (${R_IN}/ATM/START/dynamico_lmdz_nbp${RESOL_NBP}/startphy_nbp${RESOL_NBP}_v0.nc, startphy.nc)
+         
+
+[BoundaryFiles]
+List=()
+ListNonDel= (${R_IN}/ATM/START/dynamico_lmdz_nbp${RESOL_NBP}/limit_365d_nbp${RESOL_NBP}_v0.nc, limit.nc),\
+            (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/nbp${RESOL_NBP}/climoz_LMDZ_2000_v0.nc, climoz_LMDZ.nc),\
+            (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Control/solarforcing_v3.1_pdControl_ave_6bands_365days.nc, solarforcing.nc)
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   \
+   	(${SUBMIT_DIR}/PARAM/config.def_actuel, config.def),\
+   	(${SUBMIT_DIR}/PARAM/earth_const.def, .),\
+   	(${SUBMIT_DIR}/PARAM/physiq.def_${LMDZ_Physics}, physiq.def),\
+   	(${SUBMIT_DIR}/PARAM/run.def, .),\
+   	(${SUBMIT_DIR}/PARAM/run_icosa.def, .),\
+   	(${SUBMIT_DIR}/PARAM/traceur.def, .),\
+   	(${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_LLM}, vert.def),\
+   	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
+   	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
+   	(${MODIPSL}/modeles/DYNAMICO/xml/field_def_dynamico.xml, .),\
+   	(${MODIPSL}/modeles/DYNAMICO/xml/file_def_dynamico.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histLES_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayCOSP_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histdayNMC_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histday_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfCOSP_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhfNMC_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histhf_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histins_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstn_lmdz.xml, .),\
+   	(${MODIPSL}/modeles/LMDZ/DefLists/file_def_histstrataer_lmdz.xml, .)
+
+
+[RestartFiles]
+List=   (restart.nc, restart.nc, start.nc),\
+        (restartphy.nc, restartphy.nc,  startphy.nc)
+
+[OutputText]
+List=   (config.def, earth_const.def, physiq.def, run.def, run_icosa.def, start.def, traceur.def, vert.def, context_lmdz.xml, file_def_histLES_lmdz.xml, file_def_histday_lmdz.xml, file_def_histhf_lmdz.xml, file_def_histmthNMC_lmdz.xml, iodef.xml, context_dynmico.xml, field_def_dynamico.xml, file_def_dynamico.xml, file_def_histdayCOSP_lmdz.xml, file_def_histhfCOSP_lmdz.xml, file_def_histins_lmdz.xml, file_def_histmth_lmdz.xml, field_def_lmdz.xml, file_def_histdayNMC_lmdz.xml, file_def_histhfNMC_lmdz.xml, file_def_histmthCOSP_lmdz.xml,file_def_histstn_lmdz.xml,  out_icosa_lmdz.exe.out*, out_icosa_lmdz.exe.err*, xios_client_*)
+
+
+[OutputFiles]
+List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       NONE),                  \
+        (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),                  \
+        (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
+        (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
+        (histdayNMC.nc,    ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,    NONE),                  \
+        (histhf.nc,        ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,        NONE),                  \
+        (histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    NONE),                  \
+        (histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     NONE),                  \
+        (histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      NONE),                  \
+        (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     NONE),                  \
+        (output_dcmip2016_native.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_3H_output_dcmip2016_native.nc,     NONE), \
+        (output_dcmip2016_regular.nc,   ${R_OUT_ATM_O_H}/${PREFIX}_3H_output_dcmip2016_regular.nc,    NONE)
+
+
+#List=	( limit.nc,       ${R_OUT_ATM_O}/Boundary/${config_UserChoices_JobName}_clim_limit.nc,   NONE), \
+#	( start.nc,       ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_clim_start.nc,    NONE), \
+#	( startphy.nc,    ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_clim_startphy.nc, NONE)
+
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/xios.card	(revision 4277)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/xios.card	(revision 4277)
@@ -0,0 +1,29 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=	()
+
+[RestartFiles]
+List=	(NONE)
+
+[OutputText]
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
+
+[OutputFiles]
+List=   ()
+
+
+
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/config.card	(revision 4277)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/config.card	(revision 4277)
@@ -0,0 +1,95 @@
+# $Id$
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+JobName=test 
+LongName=""
+TagName=ICOLMDZ
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=ICOLMDZ/clim_noleap
+ExperimentName=test
+SpaceName=TEST
+
+#============================
+#D-- leap, noleap, 360d
+CalendarType=noleap
+#D-- Begin and end of job 
+#D-- "YYYY-MM-DD"
+#D-- The year for this experiement has no significance as the SST/SIC are mean values over a whole period. 
+#D-- Change the DateEnd if you change CalendarType, set DateEnd=2000-12-31 for leap or noleap.
+DateBegin=2000-01-01
+DateEnd=2000-01-06
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=2D
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ATM= (dynamicolmdz, DLMDZ)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component: Real name of executable, Name of executable in the run directory 
+ATM= (icosa_lmdz.exe, icosa_lmdz.exe, 40MPI)
+# max nsplit_i*nsplit_j*10
+IOS= (xios_server.exe, xios.x, 1MPI)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=
+#D- Define restart simulation name
+RestartJobName=
+#D- Path Server Group Login
+RestartPath=
+# Attention login depend de la machine
+
+
+#========================================================================
+#D-- NO Post -
+[Post]
+RebuildFrequency=NONE
+PackFrequency=NONE
+TimeSeriesFrequency=NONE
+SeasonalFrequency=NONE
+MetricsPCMDI=FALSE
+
+#========================================================================
+#D-- ATM -
+[ATM]
+#
+WriteFrequency="1Y"
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+#========================================================================
+#D-- IOS -
+[IOS]
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+#-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+# Old component name for restart (if empty, use new name)
+
+