Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card	(revision 4283)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/clim_noleap/COMP/dynamico.card	(revision 4284)
@@ -24,5 +24,5 @@
 List=   \
    	(${SUBMIT_DIR}/PARAM/earth_const.def, .),\
-   	(${SUBMIT_DIR}/PARAM/run_icosa.def, .),\
+   	(${SUBMIT_DIR}/PARAM/run_icosa.def_nbp${RESOL_NBP}, run_icosa.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card	(revision 4283)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZOR/clim_noleap/COMP/dynamico.card	(revision 4284)
@@ -24,5 +24,5 @@
 List=   \
    	(${SUBMIT_DIR}/PARAM/earth_const.def, .),\
-   	(${SUBMIT_DIR}/PARAM/run_icosa.def, .),\
+   	(${SUBMIT_DIR}/PARAM/run_icosa.def_nbp${RESOL_NBP}, run_icosa.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/DRIVER/dynamico.driver
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/DRIVER/dynamico.driver	(revision 4283)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/DRIVER/dynamico.driver	(revision 4284)
@@ -31,17 +31,4 @@
 
     IGCM_comp_modifyDefFile blocker run_icosa.def run_length $(( ${PeriodLengthInDays} * 86400 ))
-
-    if [ X${RESOL_NBP} == X40 ] || [ X${RESOL_NBP} == X20 ]; then
-      IGCM_comp_modifyDefFile nonblocker run_icosa.def   nbp       ${RESOL_NBP}
-      IGCM_comp_modifyDefFile nonblocker run_icosa.def   nsplit_i  $(( ${RESOL_NBP} / 10 ))
-      IGCM_comp_modifyDefFile nonblocker run_icosa.def   nsplit_j  $(( ${RESOL_NBP} / 10 ))
-      IGCM_comp_modifyDefFile nonblocker run_icosa.def   llm       79
-      IGCM_debug_Print 1 "Maximum nubmer of MPI for resolution nbp=${RESOL_NBP} is $(( ${RESOL_NBP} * ${RESOL_NBP} / 10 ))"
-    else
-      IGCM_debug_Print 1 "nbp=${RESOL_NBP} is set in dynamico.card"
-      IGCM_debug_Exit "This resolution has not been prepared in dynamico.driver" 
-      IGCM_debug_Verif_Exit
-    fi
-
 
     # Add include of context xml files for DYNAMICO in iodef.xml
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def	(revision 4283)
+++ 	(revision )
@@ -1,84 +1,0 @@
-# ------------------------------- Mesh ---------------------------------
-
-# Number of subdivision on a main triangle (nbp) : integer (default=40)
-nbp=_AUTO_ : DEFAULT=40
-
-# nbp                 20  40  80 160
-# T-edge length (km) 500 250 120  60
-
-# sub splitting of main rhombus : integer (default=1)
-nsplit_i=_AUTO_ : DEFAULT=4
-nsplit_j=_AUTO_ : DEFAULT=4
-omp_level_size=1
-
-# Number of vertical layer (llm) : integer (default=19)
-llm=_AUTO_ : DEFAULT=79
-
-# disvert : vertical discretisation : string (default='std') : std, ncar, ncar30l
-disvert=strato_custom
-
-# optim_it : mesh optimisation : number of iteration : integer (default=0)
-optim_it=0
-
-
-# ---------------------------------- Time---------------------------------
-
-# timestep : real (default=480s)
-dt = 180.
-
-# advection called every itau_adv time steps : integer (default 2)
-# standard : umax=100m/s vs c=340m/s (ratio 1:3)
-# in JW06 umax=35m/s vs c=340m/s (ratio 1:10)
-itau_adv=1
-
-# run length : real (default=dt*itaumax)
-run_length=_AUTOBLOCKER_
-
-# output field period : integer (default none)
-write_period=86400
-
-itau_check_conserv=100
-
-# ---------------------------------- Misc --------------------------------
-# number of tracer (nqtot) : integer (default 1)
-nqtot=6
-
-# pression value where output is interpolated : real (default=0, no output)
-out_pression_level=85000
-
-start_file_name=start
-restart_file_name=restart
-
-# ---------------------------------- Dissipation ---------------------------------
-
-# dissipation time graddiv : real (default=5000)
-tau_graddiv = 3600.
-
-# number of iteration for graddiv : integer (default=1)
-nitergdiv = 1
-
-# dissipation time nxgradrot (default=5000)
-tau_gradrot = 21600.
-
-# number of iteration for nxgradrot : integer (default=1)
-nitergrot=2
-
-# dissipation time divgrad (theta) (default=5000)
-tau_divgrad=10800.
-
-# number of iteration for divgrad : integer (default=1)
-niterdivgrad=2
-
-# -------------------------------- Physics -------------------------------------
-
-# kind of physics : string : none, dcmip (default=none)
-physics=phys_external
-
-itau_physics=5
-
-iflag_phys=1
-read_start=yes
-create_etat0_limit=n
-etat0=_AUTO_ : DEFAULT=database
-### held_suarez pour aquaplanete. It is probably not read if etat0=database
-heldsz_p0=101080
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp40
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp40	(revision 4284)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp40	(revision 4284)
@@ -0,0 +1,89 @@
+mpi_threading_mode=funneled
+# ------------------------------- Mesh ---------------------------------
+
+# Number of subdivision on a main triangle (nbp) : integer (default=40)
+nbp=40
+
+# nbp                 20  40  80 160
+# T-edge length (km) 500 250 120  60
+
+# sub splitting of main rhombus : integer (default=1)
+nsplit_i=4
+nsplit_j=4
+omp_level_size=4
+
+# Number of vertical layer (llm) : integer (default=19)
+llm=_AUTO_ : DEFAULT=79
+
+# disvert : vertical discretisation : string (default='std') : std, ncar, ncar30l
+disvert=strato_custom
+iflag_sponge=2
+tau_sponge=5.e-4
+
+# optim_it : mesh optimisation : number of iteration : integer (default=0)
+optim_it=0
+
+# ---------------------------------- Time---------------------------------
+
+# timestep : real (default=480s)
+dt = 300.
+
+# advection called every itau_adv time steps : integer (default 2)
+# standard : umax=100m/s vs c=340m/s (ratio 1:3)
+# in JW06 umax=35m/s vs c=340m/s (ratio 1:10)
+itau_adv=1
+
+# run length : real (default=dt*itaumax)
+run_length=_AUTOBLOCKER_
+
+# output field period : integer (default none)
+write_period=86400
+
+itau_check_conserv=100
+
+# ---------------------------------- Misc --------------------------------
+# number of tracer (nqtot) : integer (default 1)
+nqtot=6
+
+
+# pression value where output is interpolated : real (default=0, no output)
+out_pression_level=85000
+
+start_file_name=start
+restart_file_name=restart
+
+# ---------------------------------- Dissipation ---------------------------------
+
+# dissipation time graddiv : real (default=5000)
+tau_graddiv = 3600
+
+# number of iteration for graddiv : integer (default=1)
+nitergdiv = 1
+
+# dissipation time nxgradrot (default=5000)
+tau_gradrot = 21600
+
+# number of iteration for nxgradrot : integer (default=1)
+nitergrot=2
+
+# dissipation time divgrad (theta) (default=5000)
+tau_divgrad=10800
+
+# number of iteration for divgrad : integer (default=1)
+niterdivgrad=2
+
+# -------------------------------- Physics -------------------------------------
+
+# kind of physics : string : none, dcmip (default=none)
+physics=phys_external
+
+itau_physics=3
+
+
+
+iflag_phys=1
+read_start=yes
+create_etat0_limit=n
+etat0=_AUTO_ : DEFAULT=database
+### held_suarez pour aquaplanete. It is probably not read if etat0=database
+heldsz_p0=101080
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp80
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp80	(revision 4284)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_icosa.def_nbp80	(revision 4284)
@@ -0,0 +1,89 @@
+mpi_threading_mode=funneled
+# ------------------------------- Mesh ---------------------------------
+
+# Number of subdivision on a main triangle (nbp) : integer (default=40)
+nbp=80
+
+# nbp                 20  40  80 160
+# T-edge length (km) 500 250 120  60
+
+# sub splitting of main rhombus : integer (default=1)
+nsplit_i=8
+nsplit_j=8
+omp_level_size=4
+
+# Number of vertical layer (llm) : integer (default=19)
+llm=_AUTO_ : DEFAULT=79
+
+# disvert : vertical discretisation : string (default='std') : std, ncar, ncar30l
+disvert=strato_custom
+iflag_sponge=2
+tau_sponge=5.e-4
+
+# optim_it : mesh optimisation : number of iteration : integer (default=0)
+optim_it=0
+
+# ---------------------------------- Time---------------------------------
+
+# timestep : real (default=480s)
+dt = 150.
+
+# advection called every itau_adv time steps : integer (default 2)
+# standard : umax=100m/s vs c=340m/s (ratio 1:3)
+# in JW06 umax=35m/s vs c=340m/s (ratio 1:10)
+itau_adv=1
+
+# run length : real (default=dt*itaumax)
+run_length=_AUTOBLOCKER_
+
+# output field period : integer (default none)
+write_period=86400
+
+itau_check_conserv=100
+
+# ---------------------------------- Misc --------------------------------
+# number of tracer (nqtot) : integer (default 1)
+nqtot=6
+
+
+# pression value where output is interpolated : real (default=0, no output)
+out_pression_level=85000
+
+start_file_name=start
+restart_file_name=restart
+
+# ---------------------------------- Dissipation ---------------------------------
+
+# dissipation time graddiv : real (default=5000)
+tau_graddiv = 1800
+
+# number of iteration for graddiv : integer (default=1)
+nitergdiv = 1
+
+# dissipation time nxgradrot (default=5000)
+tau_gradrot = 10800
+
+# number of iteration for nxgradrot : integer (default=1)
+nitergrot=2
+
+# dissipation time divgrad (theta) (default=5000)
+tau_divgrad=5400
+
+# number of iteration for divgrad : integer (default=1)
+niterdivgrad=2
+
+# -------------------------------- Physics -------------------------------------
+
+# kind of physics : string : none, dcmip (default=none)
+physics=phys_external
+
+itau_physics=6
+
+
+
+iflag_phys=1
+read_start=yes
+create_etat0_limit=n
+etat0=_AUTO_ : DEFAULT=database
+### held_suarez pour aquaplanete. It is probably not read if etat0=database
+heldsz_p0=101080