Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card	(revision 4286)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card	(revision 4287)
@@ -35,10 +35,9 @@
 	
 [BoundaryFiles]
-List=()
+List=(${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_${year}.nc 	,   sad.nc	)
 
 ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc              )\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3clim_lmdz_phy_2000.nc            	,   o3clim.nc     	)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc                	,   o3lin.nc		)\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_${year}.nc 	,   sad.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/lglived.dat                        	,   lglived.dat		)\
             (/ccc/work/cont003/gen2201/p24haug/INPUT/CMIP6/aircraft_2000_phy.nc     ,   aircraft_mth.nc     )\
@@ -58,20 +57,4 @@
  	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   					,   phototable.dat	)
 
-#ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc              )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3clim_lmdz_phy_2000.nc            	,   o3clim.nc     	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc                	,   o3lin.nc		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_2000.nc 	,   sad.nc		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/lglived.dat                        	,   lglived.dat		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/aircraft_IMPACT_REACT4C_phy.nc 		,   aircraft_hour.nc    )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_zero_lmdz_phy.nc    		,   aircraft_hs.nc      )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/sflx_nitrate.nc   				,   sflx_p2p.nc         )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   					,   landuse.nc          )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        				,   rhvEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt        				,   wthEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt        				,   clyEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat          				,   wth.dat             )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat          				,   cly.dat             )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat          				,   rhv.dat             )\
-# 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   					,   phototable.dat	)
 
 
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4286)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4287)
@@ -35,10 +35,9 @@
 	
 [BoundaryFiles]
-List=()
+List=(${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_${year}.nc 	,   sad.nc		)
 
 ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc              )\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3clim_lmdz_phy_2000.nc            	,   o3clim.nc     	)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc                	,   o3lin.nc		)\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_${year}.nc 	,   sad.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/lglived.dat                        	,   lglived.dat		)\
             (/ccc/work/cont003/gen2201/p24haug/INPUT/CMIP6/aircraft_2000_phy.nc     ,   aircraft_mth.nc     )\
@@ -58,20 +57,4 @@
  	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   					,   phototable.dat	)
 
-#ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc              )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3clim_lmdz_phy_2000.nc            	,   o3clim.nc     	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc                	,   o3lin.nc		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/SAD_Pa/sadclim_lmdz_phy_2000.nc 	,   sad.nc		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/lglived.dat                        	,   lglived.dat		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/aircraft_IMPACT_REACT4C_phy.nc 		,   aircraft_hour.nc    )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_zero_lmdz_phy.nc    		,   aircraft_hs.nc      )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/sflx_nitrate.nc   				,   sflx_p2p.nc         )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   					,   landuse.nc          )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        				,   rhvEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt        				,   wthEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt        				,   clyEC.txt           )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat          				,   wth.dat             )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat          				,   cly.dat             )\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat          				,   rhv.dat             )\
-# 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   					,   phototable.dat	)
 
 